Bug 1287737 - WebUI allows selection of CloudForms only during New Deployment
WebUI allows selection of CloudForms only during New Deployment
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: Erik Nelson
Dave Johnson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-12-02 10:01 EST by Landon LaSmith
Modified: 2016-10-03 15:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:13:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Landon LaSmith 2015-12-02 10:01:42 EST
Description of problem:
WebUI allows seleciton of CloudForms only during New Deployment

Version-Release number of selected component (if applicable):
installer iso - tp2

How reproducible:
100%

Steps to Reproduce:
1. Install via iso
2. launch-fusor-installer
3. In WebUI, create a New Deployment
4. Make sure that only CloudForms is selected
5. Click "Select"

Actual results:
WebUI continue to next screen

Expected results:
Error or warning prompt to supply provider


Additional info:
Comment 1 jmagen@redhat.com 2016-01-14 03:21:21 EST
This was fixed by Erik and merged. Cloudforms cannot be selected by itself now.
Comment 2 Antonin Pagac 2016-01-15 06:02:39 EST
Failed QA.

I reproduced the issue following the reproduce steps.

RHCI-6.0-RHEL-7-20160114.t.0-RHCI-x86_64-dvd1.iso
Comment 3 John Matthews 2016-01-15 07:21:04 EST
Antonin,

Please check what version of 'ruby193-rubygem-fusor_ui' is in the ISO you used.

I'm running 0.0.1-99.el7 and am unable to select CloudForms unless RHELOSP or RHEV are selected. 

ruby193-rubygem-fusor_ui-0.0.1-99.el7.noarch

Please also clear your cache on your browser and ensure you are running with the latest javascript code and not using an older/cached copy.
Comment 4 Antonin Pagac 2016-01-15 08:02:17 EST
John,

I'm seeing older one: ruby193-rubygem-fusor_ui-0.0.1-98.el7.noarch

I'll doublecheck the compose I'm running and also clear cache and try again.
Comment 5 Antonin Pagac 2016-01-25 08:48:04 EST
Verified.

TP2 RC3
RHCI-6.0-RHEL-7-20160122.t.1-RHCI-x86_64-dvd1.iso
ruby193-rubygem-fusor_ui-0.0.1-102.el7.noarch

Note You need to log in before you can comment on or make changes to this bug.